#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main(void)
{
    vector<ll> niz;
    ll n,x,k,rezultat;

    cin>>n>>x;

    for(int i=0;i<n;++i){
        cin>>k;
    niz.push_back(k);}

    ll mini = *min_element(niz.begin(),niz.end());
    ll maxi = *max_element(niz.begin(),niz.end());

    if(x>=maxi){
        rezultat = abs(x-mini);
    }else if(x<=mini){
        rezultat = abs(maxi-x);
    }else if(abs(x-mini)<=abs(x-maxi)){
        rezultat =  2*(abs(x-mini))+abs(maxi-x);
    }else rezultat = 2*(abs(x-maxi))+abs(mini-x);

    cout<<rezultat;

    return 0;
}